import json

software_url = 'https://lab.nexedi.com/nexedi/slapos/raw/master/software/fluentd/software.cfg'
computer_id = 'local_computer'

parameter_dict = {
  "conf_text":"""\
<match debug.**>
  @type stdout
  @id stdout_output
</match>

<source>
  @type             http
  port              8888
  bind              0.0.0.0
  body_size_limit   16m
  keepalive_timeout 10s
  format            none
</source>

<source>
  @type dummy
  dummy {"hello":"world"}
  tag wendelin_tag
  auto_increment_key foo_key
</source>

<match wendelin_tag>
  @type          wendelin
  @id            wendelin_out
  streamtool_uri http://localhost/erp5/portal_ingestion_policies/xxx
  user           xxx
  password       xxx
  buffer_type    memory
  flush_interval 60s
</match>
"""
}

# Choose a title
title = "fluentd"

request(software_url,
  title,
  filter_kw={'computer_guid': computer_id},
  software_type='default',
  partition_parameter_kw={
   '_': json.dumps(parameter_dict, sort_keys=True, indent=2),
  }
)
